Page MenuHomeFreeBSD

Allwinner A13 support
ClosedPublic

Authored by manu on Jun 11 2016, 3:01 PM.

Details

Summary

This brings support for allwinner A13 (and some needed bits for R8).
The gpio changes is because some pins don't have gpio 'out' function but only 'in' so we report back an error when trying to set the function to an non-existing one.

I intend to commit this after the unfreeze into 12 (and maybe MFC into 11 for 11.1-RELEASE ?)

Test Plan

Tested on Olinuxino-A13

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

manu updated this revision to Diff 17515.Jun 11 2016, 3:01 PM
manu retitled this revision from to Allwinner A13 support.
manu updated this object.
manu edited the test plan for this revision. (Show Details)
manu added a reviewer: ARM.
manu set the repository for this revision to rS FreeBSD src repository.
manu added a project: ARM.
jmcneill accepted this revision.Jun 11 2016, 7:26 PM
jmcneill added a reviewer: jmcneill.
jmcneill added a subscriber: jmcneill.
jmcneill added inline comments.
sys/arm/allwinner/clk/aw_pll.c
283 ↗(On Diff #17515)

I don't think this is necessary.

This revision is now accepted and ready to land.Jun 11 2016, 7:26 PM
manu updated this revision to Diff 17566.Jun 13 2016, 10:22 PM
manu edited edge metadata.

Remove unneeded parenthesis.

This revision now requires review to proceed.Jun 13 2016, 10:22 PM
manu marked an inline comment as done.Jun 13 2016, 10:22 PM
jmcneill accepted this revision.Jul 8 2016, 8:29 PM
jmcneill edited edge metadata.
This revision is now accepted and ready to land.Jul 8 2016, 8:29 PM
This revision was automatically updated to reflect the committed changes.